补丁下载
名称:CmsEasy5.5to5.6升级补丁
版本:V 5.6
大小:6.47 MB
编码:UTF-8
更新日期:2015-08-28 18:36:41
下载
说明

 1.升级概述:

从CmsEasy5.5升级到CmsEasy5.6
 
2.升级方法:
【第一步】
(1)备份现有的数据库和文件;
【第二步】
(1)下载升级包upgrade55to56,解压到任意地方;
(2)利用FTP软件,删除网站目录中lib文件夹(删除前请备份!);
(3)上传uploads里面的文件到程序安装目录,覆盖;
(4)运行http://您的cmseasy5.5安装目录/upgrade.php;
【第三步】
(1)删除upgrade文件夹和upgrade.php;
(2)进入后台进行网站配置;
(3)后台进行更新缓存;
【第四步】
(1)用FTP下载模板文件到本机;
(2)利用Eidtplus编辑器打开模板文件;
(3)找到模板文件夹中archive/show_products.html和archive/show_pic.html模板文件,在模板里面删除
==============================================================
<?php $pics = @array_values(unserialize($archive[pics])); ?>
==============================================================
 
找到
 
==============================================================
{if $pics}
==============================================================
 
替换为
 
==============================================================
{if $archive[pics]}
==============================================================
 
找到
 
==============================================================
{loop $pics $pic}
==============================================================
 
替换为
 
==============================================================
{loop $archive[pics] $pic}
==============================================================
 
找到
 
==============================================================
{$pic}
==============================================================
 
替换为
 
==============================================================
{$pic[url]}
==============================================================
 
 
其它模板:
 
模板中所有链接需要后台控制颜色的链接中均需加入
==============================================================
 style="color:{$arc[color]};"
==============================================================
 
格式如:
 
<a href="链接地址" style="color:{$arc[color]};">链接名称</a>
 
 
【第五步】
如升级过程中网站配置文件config/config.php未更新成功,需用编辑软件Editplus打开配置文件,对照新版的config.php进行更新。
 
 
3.备注:
(1)如果您改动了文件,请先相关备份,进行升级后,可以对照默认文件进行调整;
(2)请查阅“CmsEasy5.x说明.txt”文档;
 
 
 
 
运行系统环境要求
推荐配置: Linux + Apache + Mysql + PHP
操作系统: Linux (支持Unix/FreeBSD/Solaris/Windows NT(2000/2003)等操作系统)
服务器: Apache (支持httpd, Zeus, IIS 等WEB服务器)
数据库: Mysql (5.0 或者更高版本)
程序支持: PHP 5.0及以上版本 (推荐使用5.2系列最新版本)